<?php

namespace ACA\EC\Editing\Event;

use ACP;
use ACP\Helper\Select;

class Organizer extends ACP\Editing\Model\Meta implements ACP\Editing\PaginatedOptions {

	public function get_view_settings() {
		return array(
			'type'               => 'select2_dropdown',
			'ajax_populate'      => true,
			'multiple'           => true,
			'clear_button'       => true,
			'store_single_value' => true,
		);
	}

	public function get_paginated_options( $s, $paged, $id = null ) {
		$entities = new Select\Entities\Post( array(
			's'         => $s,
			'paged'     => $paged,
			'post_type' => 'tribe_organizer',
		) );

		return new Select\Options\Paginated(
			$entities,
			new Select\Formatter\PostTitle( $entities )
		);
	}

	public function get_edit_value( $id ) {
		$values = array();
		$ids = $this->column->get_raw_value( $id );

		if ( ! $ids ) {
			return $values;
		}

		foreach ( $ids as $id ) {
			$values[ $id ] = html_entity_decode( get_the_title( $id ) );
		}

		return $values;
	}

	public function save( $id, $values ) {
		delete_post_meta( $id, $this->column->get_meta_key() );

		foreach ( $values as $value ) {
			add_post_meta( $id, $this->column->get_meta_key(), $value );
		}

		return true;
	}

}