<?php

namespace ACA\EC\Settings;

use AC;
use AC\View;

class Venue extends AC\Settings\Column\Post {

	public function create_view() {
		$select = $this->create_element( 'select' )
		               ->set_attribute( 'data-refresh', 'column' )
		               ->set_options( $this->get_display_options() );

		$view = new View( array(
			'label'   => __( 'Display', 'codepress-admin-columns' ),
			'setting' => $select,
		) );

		return $view;
	}

	public function get_dependent_settings() {
		$setting = array();

		if ( 'website' !== $this->get_post_property_display() ) {
			$setting[] = new NonPublicPostLink( $this->column );
		}

		return $setting;
	}

	protected function get_display_options() {
		$options = array(
			'title'   => __( 'Name' ),
			'city'    => __( 'City' ),
			'country' => __( 'Country' ),
			'website' => __( 'Website' ),
		);

		asort( $options );

		return $options;
	}

	public function format( $value, $original_value ) {
		switch ( $this->get_post_property_display() ) {
			case 'country' :
				$value = tribe_get_country( $original_value );

				break;
			case 'city' :
				$value = tribe_get_city( $original_value );

				break;
			case 'title' :
				$value = ac_helper()->post->get_title( $original_value );

				break;
			case 'website' :
				$value = tribe_get_venue_website_link( $original_value );

				break;
			default:
				$value = false;
		}

		return $value;
	}

}