<?php

namespace ACA\WC\Editing\Product\Attributes;

use ACA\WC\Column;
use ACA\WC\Editing;
use ACP;

/**
 * @property Column\Product\Attributes $column
 */
class Taxonomy extends ACP\Editing\Model\Post\Taxonomy {

	public function __construct( Column\Product\Attributes $column ) {
		parent::__construct( $column );
	}

	/**
	 * Save attributes to product
	 *
	 * @param int   $id
	 * @param int[] $term_ids
	 *
	 * @return bool
	 */
	private function save_to_product( $id, $term_ids ) {
		if ( ! $term_ids ) {
			return false;
		}

		$options = array();

		foreach ( $term_ids as $term_id ) {
			$options[ $term_id ] = ac_helper()->taxonomy->get_term_field( 'name', $term_id, $this->column->get_taxonomy() );
		}

		$model = new Editing\Product\Attributes( $this->column );

		return $model->save( $id, $options );
	}

	/**
	 * @param int   $id
	 * @param int[] $term_ids
	 *
	 * @return bool
	 */
	public function save( $id, $term_ids ) {
		$term_ids = $this->set_terms( $id, $term_ids, $this->column->get_taxonomy() );

		return $this->save_to_product( $id, $term_ids );
	}

}