<?php

namespace ACA\WC\Editing\ShopOrder;

use ACA\WC\Column;
use ACP;
use WC_Order;

/**
 * @property Column\ShopOrder\Status $column
 */
class Status extends ACP\Editing\Model {

	public function __construct( Column\ShopOrder\Status $column ) {
		parent::__construct( $column );
	}

	public function get_view_settings() {
		return array(
			'type'    => 'select',
			'options' => $this->column->get_order_status_options(),
		);
	}

	public function get_edit_value( $id ) {
		$status = $this->column->get_raw_value( $id );
		if ( substr( $status, 0, 3 ) != 'wc-' ) {
			$status = 'wc-' . $status;
		}

		return $status;
	}

	public function save( $id, $value ) {
		$order = new WC_Order( $id );

		return $order->update_status( $value );
	}
}
