<?php

namespace ACA\WC\Helper\Select\Formatter;

use ACP\Helper\Select\Formatter;
use WP_Post;

class ProductIDTitleAndSKU extends Formatter {

	/**
	 * @param WP_Post $post
	 *
	 * @return string
	 */
	public function get_label( $post ) {
		$label = '#' . $post->ID;
		$title = $post->post_title;
		$sku = get_post_meta( $post->ID, '_sku', true );

		if ( $title ) {
			$label .= ' ' . $title;
		}

		if ( $sku ) {
			$label .= sprintf( ' (%s)', $sku );
		}

		return $label;
	}

}