<?php

namespace ACA\WC\Search\Product;

use AC\MetaType;
use ACP\Helper\Select\Options;
use ACP\Search\Comparison;
use ACP\Search\Operators;

class BackordersAllowed extends Comparison\Meta
	implements Comparison\Values {

	public function __construct() {
		$operators = new Operators( array(
			Operators::EQ,
		) );

		parent::__construct( $operators, '_backorders', MetaType::POST );
	}

	public function get_values() {
		return Options::create_from_array( array(
			'no'     => __( 'Do not allow', 'woocommerce' ),
			'notify' => __( 'Allow, but notify customer', 'woocommerce' ),
			'yes'    => __( 'Allow', 'woocommerce' ),
		) );
	}

}