<?php

namespace ACA\WC\Search\ShopOrder;

use AC\MetaType;
use ACP\Helper\Select;
use ACP\Search\Comparison;
use ACP\Search\Operators;

class Customer extends Comparison\Meta
	implements Comparison\SearchableValues {

	public function __construct() {
		$operators = new Operators(
			array(
				Operators::EQ,
			)
		);

		parent::__construct( $operators, '_customer_user', MetaType::POST );
	}

	public function get_values( $search, $paged ) {
		$entities = new Select\Entities\User( compact( 'search', 'paged' ) );

		return new Select\Options\Paginated(
			$entities,
			new Select\Group\UserRole(
				new Select\Formatter\UserName( $entities )
			)
		);
	}
}